Get project
GET
/projects/{id}Fetches the details of a project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ProjectsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ProjectsApi(config);
const result = await api.getProject({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/projects/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | Yes | ID of the project |
Response
Section titled “Response”200 — Project details
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
name |
string | Yes | — |
description |
string | No | — |
archived |
boolean | Yes | — |
team |
Array of Project User Minified | No | — |
activity |
string | No | — |
created_at |
string | Yes | — |
updated_at |
string | Yes | — |
is_sample |
boolean | No | Indicates that the project is a sample project or not |
{ "id": 123, "name": "example", "description": "example", "archived": true, "team": [], "activity": "example", "created_at": "example", "updated_at": "example", "is_sample": true}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |